curl -X POST \
https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer \
-u 'EMAIL:API_KEY' \
-d '{"target_account":"team:team-id-1"}'
const axios = require('axios');
const postData = {
target_account: "team:team-id-1",
};
const config = {
auth: {
username: 'EMAIL',
password: 'API_KEY',
},
headers: {
'Content-Type': 'application/json',
},
};
const url = 'https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer';
axios.post(url, postData, config)
.then((response) => {
console.log('Transfer successful:', response.data);
})
.catch((error) => {
console.error('Error:', error);
});
import requests
data = '{"target_account":"team:team-id-1"}'
response = requests.post('https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer', data=data, auth=('EMAIL', 'API_KEY'))
response.content
client := &http.Client{}
var data = strings.NewReader(`{
"target_account":"team:team-id-1",
}`)
req, err := http.NewRequest("POST", "https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer", data)
if err != nil {
log.Fatal(err)
}
req.SetBasicAuth("email", "api_key")
resp, err := client.Do(req)
if err != nil {
log.Fatal(err)
}
bodyText, err := ioutil.ReadAll(resp.Body)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%s\n", bodyText);
"OK"
Vector
Transfer Index
This endpoint is used to transfer an index to another team.
POST
/
v2
/
vector
/
index
/
{id}
/
transfer
curl -X POST \
https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer \
-u 'EMAIL:API_KEY' \
-d '{"target_account":"team:team-id-1"}'
const axios = require('axios');
const postData = {
target_account: "team:team-id-1",
};
const config = {
auth: {
username: 'EMAIL',
password: 'API_KEY',
},
headers: {
'Content-Type': 'application/json',
},
};
const url = 'https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer';
axios.post(url, postData, config)
.then((response) => {
console.log('Transfer successful:', response.data);
})
.catch((error) => {
console.error('Error:', error);
});
import requests
data = '{"target_account":"team:team-id-1"}'
response = requests.post('https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer', data=data, auth=('EMAIL', 'API_KEY'))
response.content
client := &http.Client{}
var data = strings.NewReader(`{
"target_account":"team:team-id-1",
}`)
req, err := http.NewRequest("POST", "https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer", data)
if err != nil {
log.Fatal(err)
}
req.SetBasicAuth("email", "api_key")
resp, err := client.Do(req)
if err != nil {
log.Fatal(err)
}
bodyText, err := ioutil.ReadAll(resp.Body)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%s\n", bodyText);
"OK"
Request Parameters
The unique ID of the index to be deleted.
The ID of the target account. If the target is a team, then use the format
team:<TEAM_ID>, else if the target is your personal account use the format <YOUR_EMAIL>.Response Parameters
"OK" on successfull deletion operation.
curl -X POST \
https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer \
-u 'EMAIL:API_KEY' \
-d '{"target_account":"team:team-id-1"}'
const axios = require('axios');
const postData = {
target_account: "team:team-id-1",
};
const config = {
auth: {
username: 'EMAIL',
password: 'API_KEY',
},
headers: {
'Content-Type': 'application/json',
},
};
const url = 'https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer';
axios.post(url, postData, config)
.then((response) => {
console.log('Transfer successful:', response.data);
})
.catch((error) => {
console.error('Error:', error);
});
import requests
data = '{"target_account":"team:team-id-1"}'
response = requests.post('https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer', data=data, auth=('EMAIL', 'API_KEY'))
response.content
client := &http.Client{}
var data = strings.NewReader(`{
"target_account":"team:team-id-1",
}`)
req, err := http.NewRequest("POST", "https://api.upstash.com/v2/vector/index/14841111-b834-4788-925c-04ab156d1123/transfer", data)
if err != nil {
log.Fatal(err)
}
req.SetBasicAuth("email", "api_key")
resp, err := client.Do(req)
if err != nil {
log.Fatal(err)
}
bodyText, err := ioutil.ReadAll(resp.Body)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%s\n", bodyText);
"OK"
Was this page helpful?
⌘I